datablock ShapeBaseImageData(GutsImage)
{
	shapeFile = "./Guts.dts";
	emap = true;
	mountPoint = $BackSlot;
	offset = "0 -0.03 0.1";
	eyeOffset = "0 0 10";
	rotation = eulerToMatrix("0 0 0");
	scale = "1 1 1";
	doColorShift = false;
	colorShiftColor = "1.000 1.000 1.000 1.000";
};

datablock ShapeBaseImageData(HeadCrabImage)
{
	shapeFile = "./HeadCrab.dts";
	emap = true;
	mountPoint = $HeadSlot;
	offset = "0 -0.02 0.06";
	eyeOffset = "0 0 0.7";
	rotation = eulerToMatrix("0 0 0");
	scale = "1 1 1";
	doColorShift = false;
	colorShiftColor = "1.000 1.000 1.000 1.000";
};

function serverCmdHCZ(%client)
{

	bottomPrintAll(%client.name SPC "\c2is no longer a headcrab zombie.",3,1);
	//other stuff

	%player = %client.player;

	if(isObject(%player))
	{
		if(%player.getMountedImage(2) $= nametoID(HeadcrabImage))
		{
			%player.unmountImage(2);
			%client.applyBodyParts();
			%client.applyBodyColors();
		}
		if(%player.getMountedImage(3) $= nametoID(GutsImage))
		{
			%player.unmountImage(3);
			%client.applyBodyParts();
			%client.applyBodyColors();
		}
		else
		{
			%player.unmountImage(2);
			%player.mountImage(HeadcrabImage,2);
			%player.unmountImage(3);
			%player.mountImage(GutsImage,3);
			bottomPrintAll(%client.name SPC "has become a headcrab zombie!",3,1);

			for(%i = 0;$hat[%i] !$= "";%i++)
			{
				%player.hideNode($hat[%i]);
				%player.hideNode($accent[%i]);
			}
		}
	}
}
